Retrieve an order
curl --request GET \
--url https://sendmypaper.com/v1/orders/{id}import requests
url = "https://sendmypaper.com/v1/orders/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://sendmypaper.com/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ord_8k2m4qz7c1x9b3vd",
"object": "postcard",
"product": "postcard_4x6",
"status": "awaiting_payment",
"status_detail": "<string>",
"price": {
"amount_cents": 123,
"currency": "<string>",
"display": "<string>"
},
"to": {
"name": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "CA",
"zip": "94105",
"company": "<string>",
"line2": "<string>"
},
"from": {
"name": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "CA",
"zip": "94105",
"company": "<string>",
"line2": "<string>"
},
"content": {},
"checkout_url": "<string>",
"order_url": "<string>",
"preview_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"mailed_at": "2023-11-07T05:31:56Z",
"events": [
{
"at": "<string>",
"status": "<string>",
"note": "<string>"
}
]
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Retrieve an order
GET
/
orders
/
{id}
Retrieve an order
Path Parameters
Example:
"ord_8k2m4qz7c1x9b3vd"
Response
Order
Example:
"ord_8k2m4qz7c1x9b3vd"
Available options:
postcard, letter Available options:
postcard_4x6, postcard_6x9, letter Available options:
awaiting_payment, paid, printing, mailed, cancelled, refunded Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Where the person pays. Null once paid or closed. Never expires.
Human-readable status page
Exact print preview
Show child attributes
Show child attributes